commerce_order.commerce_order_type.*.third_party.commerce_cart:
  type: mapping
  label: 'Shopping cart settings'
  mapping:
    cart_block_view:
      type: string
      label: 'Shopping cart block view'
    cart_form_view:
      type: string
      label: 'Shopping cart form view'
    cart_expiration:
      type: mapping
      label: 'Shopping cart expiration'
      mapping:
        number:
          type: integer
          label: 'Interval'
        unit:
          type: string
          label: 'Unit'

block.settings.commerce_cart:
  type: block_settings
  label: 'Cart block'
  mapping:
    dropdown:
      type: boolean
      label: 'Display cart contents in dropdown'

views.field.commerce_order_item_edit_quantity:
  type: views.field.field
  mapping:
    allow_decimal:
      type: boolean
      label: 'Allow decimal quantity'
